Autor Tópico: Problemas com libvlc ao tentar usar vlcj  (Lida 5076 vezes)

Offline mike014

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Problemas com libvlc ao tentar usar vlcj
« Online: 13 de MAR?O de 2012, 14:41 »
Boa tarde

Tenho andado a tentar utilizar o vlcj 2.0, mas dá-me o seguinte erro: "This version of vlcj requires version 2.0.0 or later of libvlc, found too old version 1.1.12 The Luggage".
Eu instalei o vlc (versão 2.0.0) pelo sudo apt-get. Pelo synaptic e pelo sudo apt-get não consigo instalar actualizações á libvlc porque diz que tenho a versão mais actualizada.
Encontrei alguns ficheiros .deb referentes a esta biblioteca mas têm demasiado dependências para outros ficheiros.

Alguém me sabe dizer como poderei actualizar estas bibliotecas?  

Desde já peço desculpa, mas não sou grande entendido em ubuntu, e ando há dois dias à procura de uma solução, e agradeço toda a ajuda.

Cumprimentos
« Última modificação: 13 de MAR?O de 2012, 15:28 por mike014 »

Offline irtigor

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.344
  • Delete, delete, delete!
    • Ver perfil
Re: Problemas com libvlc ao tentar usar vlcj
« Resposta #1 Online: 13 de MAR?O de 2012, 20:36 »
Certeza que o seu vlc é o 2.0? Só o 12.04 tem essa versão, e o mesmo vale pra libvlc.

Offline mike014

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Problemas com libvlc ao tentar usar vlcj
« Resposta #2 Online: 14 de MAR?O de 2012, 08:39 »
Tem toda a razão, pensava que sim mas não tenho. No site do vlc induziu-me em erro. Obrigado
Encontrei um site que ensina a instalar a 2.0.0 no 11.10. Para os interessados poderei fornecer o link.
Cumprimentos

Offline fpissarra

  • Usuário Ubuntu
  • *
  • Mensagens: 246
    • Ver perfil
    • Lost in the e-Jungle
Re: Problemas com libvlc ao tentar usar vlcj
« Resposta #3 Online: 14 de MAR?O de 2012, 18:58 »
Tem toda a razão, pensava que sim mas não tenho. No site do vlc induziu-me em erro. Obrigado
Encontrei um site que ensina a instalar a 2.0.0 no 11.10. Para os interessados poderei fornecer o link.
Cumprimentos

Código: [Selecionar]
$ sudo add-apt-repository ppa:videolan/stable-daily
$ sudo apt-get update
$ sudo apt-get install vlc

Caso já tenha o VLC instalado, a última linha pode ser substituida por:

Código: [Selecionar]
$ sudo apt-get upgrade
[]s
Fred